Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.utils
Class InterM4ParameterArrayParameter

    java.lang.Object
      edu.udo.cs.miningmart.m4.utils.InterM4Communicator
          edu.udo.cs.miningmart.m4.utils.InterM4ParameterArrayParameter

public class InterM4ParameterArrayParameter
extends InterM4Communicator

Helper class for standard communication between `ParameterArray` (container) and `Parameter`.

Version:
  $Id: InterM4ParameterArrayParameter.java,v 1.3 2006/04/11 14:10:09 euler Exp $
Author:
  Martin Scholz

Constructor Summary
`InterM4ParameterArrayParameter()`

Method Summary
`java.util.Collection` | `getCollection(java.lang.Object paramArray)`
`java.lang.Object` | `getSingleRef(M4Object parameter)`
`void` | `setSingleRefPrimitive(M4Object parameter, java.lang.Object paramArray)`

Methods inherited from class edu.udo.cs.miningmart.m4.utils.InterM4Communicator
`add, checkNameExists, remove, setCollectionTo, updateReferenceTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterM4ParameterArrayParameter

    public InterM4ParameterArrayParameter()

Method Detail

### getSingleRef

    public java.lang.Object getSingleRef(M4Object parameter)
                                  throws M4Exception

  Parameters:
    `parameter` - a `Parameter`
  Returns:
    the `ParameterArray` of the `Parameter`
  Throws:
    `M4Exception`
  See Also:
    `InterM4Communicator#getSingleRef(M4Object)`

### getCollection

    public java.util.Collection getCollection(java.lang.Object paramArray)
                                       throws M4Exception

  Parameters:
    `paramArray` - a `ParameterArray`
  Returns:
    a backed `Collection` of `Object`s
  Throws:
    `M4Exception`
  See Also:
    `InterM4Communicator#getCollection(M4Object)`

### setSingleRefPrimitive

    public void setSingleRefPrimitive(M4Object parameter,
                                      java.lang.Object paramArray)
                               throws M4Exception

  Parameters:
    `parameter` - a `Parameter`
    `paramArray` - a `ParameterArray`
  Throws:
    `M4Exception`
  See Also:
    `InterM4Communicator#setSingleRefPrimitive(M4Object, M4Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005